## R-0.90.1.tgz

=== src/gnuwin32/Makefile ===
include MkRules

HELP=YES
WINHELP=BOTH # NO, CHM, BOTH

PACKAGES=base eda lqs modreg mva nls splines stepfun ts
RPREFIX=rw0901

RHOME=$(shell cd ../..; pwd)# must be absolute path
RLIB=$(RHOME)/library
PKGDIR=$(RHOME)/src/library
PKGD=$(shell cd $(PKGDIR); pwd)# must be absolute path

ifdef DEBUG
 OPTFLAGS=-g -O2 -Wall
 DLLFLAGS=
else
 OPTFLAGS=-O2 -Wall -pedantic
 DLLFLAGS=-s 
endif

R-DLLFLAGS= $(STRIPFLAG) -mwindows
R-DLLLIBS=-L. $(FLIBS) -lwsock32 -lcomctl32
SOURCES=$(wildcard *.c *.f)
OBJS=$(foreach i, $(SOURCES), $(basename $i).o)
MAINLIBS=libmain.a libappl.a libmath.a
EXTRALIBS=rx.a ga.a gl.a xdr.a em.a

LIBFILES=$(foreach i, $(PACKAGES), ../../library/$i)
PKGS=$(foreach i, $(PACKAGES), pkg-$i)
PKGCLEAN=$(foreach i, $(PACKAGES), pkgclean-$i)

.PHONY:  clean veryclean  rlibs fixfiles front-ends

all: rbuild rdemo rpackage

CFLAGS=$(OPTFLAGS) -I../include -I.
FFLAGS=$(OPTFLAGS)

rbuild: fixfiles makeMakedeps rlibs ../../bin/R.dll libR.a CHTML \
	../include/globalvar.h front-ends COPYRIGHTS

rpackage: fixed/fixdesc $(PKGS)

rinstaller:
	$(MAKE) -C installer PREFIX=$(RPREFIX)

rdemo:  libR.a
	make -C ../../demos/dynload -f $(RHOME)/src/gnuwin32/MkDyndemo

rlibs: 
	$(MAKE) -C ../appl OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ../main OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ../nmath OPTFLAGS="$(OPTFLAGS)" -f Makefile.win
	$(MAKE) -C ./regex
	$(MAKE) -C ./graphapp
	$(MAKE) -C ./getline
	$(MAKE) -C ./xdr
	$(MAKE) -C ./math

COPYRIGHTS: $(RHOME)/COPYRIGHTS COPYRIGHTS.win
	cat $^ > $@

fixfiles:
	$(MKDIR) -p ../../bin 
	$(MAKE) -C ./fixed
	$(CP) -pr unzip ../..
	$(RM) ../../unzip/*.h

fixed/fixdesc:
	sh fixed/GETDESC $(PACKAGES)

R.dll: R.a $(MAINLIBS) $(EXTRALIBS)

../../bin/R.dll: fixfiles rlibs R.dll
	$(MKDIR) -p ../../bin
	$(CP) R.dll ../../bin/

front-ends: libR.a
	$(MAKE) -C front-ends

R.a: $(OBJS)
	@$(ECHO) -------- Building $@ --------
	$(AR) cr R.a $^
	$(RANLIB) R.a


# R.dll exports all global symbols BUT import library (libR.a)
# only (all functions) + (global vars listed  in exported-vars))

libR.a:  R.exp
	$(DLLTOOL) $(DLLTOOLFLAGS) $(R-DLLTOOLFLAGS) --dllname R.dll --def R.exp --output-lib libR.a

# This fails on djtools make:
R.exp: R.exp1
	(diff R.exp R.exp1 > /dev/null) || $(CP) R.exp1 R.exp

R.exp1: R.a $(MAINLIBS) $(EXTRALIBS) exported-vars
	$(ECHO) EXPORTS > $@
	$(NM) R.a $(MAINLIBS) $(EXTRALIBS) > RDefs
	$(SED) -n "/^........ [T] _/s/^........ [T] _/ /p" RDefs >> $@
	$(CAT) exported-vars >> $@
	$(RM) RDefs

# avoid building globalvar.h with errors
../include/globalvar.h: exported-vars
	$(AWK) -- '//{if ($$1 != "") print "#define " $$1 " (*__imp_" $$1 ")"}' \
	           exported-vars > ../include/globalvar.h

CHTML:
ifeq ($(strip $(HELP)),YES)
ifeq ($(strip $(WINHELP)),CHM)
	$(MAKE) -C ./help -f MkChmDll
endif
ifeq ($(strip $(WINHELP)),BOTH)
	$(MAKE) -C ./help -f MkChmDll
endif
endif


base-HELP=ziponly

pkg-%:  libR.a #../include/globalvar.h
	$(MAKE) DLLNM=$($*-DLLNM)  EXTRADOCS=$($*-EXTRADOCS) \
	  -C $(PKGDIR)/$* PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f $(RHOME)/src/gnuwin32/MakePkg
ifeq ($(strip $(HELP)),YES)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) $($*-HELP)help-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*
ifeq ($(strip $(WINHELP)),CHM)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) chm-$*
endif
ifeq ($(strip $(WINHELP)),BOTH)
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) winhlp-$* # also makes chm
endif
endif

pkgclean-%:
	$(MAKE) DLLNM=$($*-DLLNM)  EXTRADOCS=$($*-EXTRADOCS) RHOME=$(RHOME) \
	  -C $(PKGDIR)/$* PKG=$* -f $(RHOME)/src/gnuwin32/MakePkg clean

pkgcheck-%:
	@$(ECHO) -------- Testing package $* --------
	-@mkdir -p $(PKGDIR)/$*/check
	@$(MAKE) -C $(PKGDIR)/$*/check PKG=$* RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f $(RHOME)/src/gnuwin32/check/PkgCheck

ziphelp-%:
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziphelp-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*

ziponly-%:
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) ziponlyhelp-$*
	$(MAKE) -C ./help RHOME=$(RHOME) PKGDIR=$(PKGD) RLIB=$(RLIB) contents-$*

bootstrap-DLLNM=boott

clean: cleanwin $(PKGCLEAN)
	$(RM) -f ../*/*.o $(WINOBJS) *.a ../*/*.d ../*/Makedeps fixed/fixdesc
	-$(MAKE) -C ../../doc/manual -f Makefile.win distclean

distclean veryclean: clean
	$(RM) -rf R.exp ../../bin ../../library
	$(RM) -f ../library/*/src/*.o ../library/*/src/*.a
	$(RM) -f ../library/*/src/*.def ../library/*/src/*.dll
	$(RM) -rf ../library/*/check
	$(RM) -f ../../doc/html/search/index.txt \
	../../doc/html/function.html ../../doc/html/packages.html \
	../../demos/dynload/zero.def ../../demos/dynload/zero.dll \
	../../demos/dynload/zero.o \
	../../etc/R* ../../etc/rgb.txt \
	../include/FFDecl.h ../include/FFTab.h ../include/Platform.h \
	../include/globalvar.h ../../tests/*.Rout ../../tests/*.Rout.fail

cleanwin:
	$(RM) *.o *.exe *.dll *.a *~ \#*\# *.zip R.def R.exp1 \
	.RData .Rhistory Makedeps *.d
	$(MAKE) -C graphapp clean
	$(MAKE) -C fixed clean
	$(MAKE) -C regex clean
	$(MAKE) -C getline clean
	$(MAKE) -C help clean
	$(MAKE) -C front-ends clean
	$(MAKE) -C xdr clean
	$(MAKE) -C math clean
	$(MAKE) -C bitmap clean
	-$(MAKE) -C installer clean


bindist:
	$(RM) -rf $(RPREFIX)
	$(MKDIR) $(RPREFIX)
	$(CP) -pr ../../bin ../../afm ../../demos  ../../unzip $(RPREFIX)
	$(MKDIR) $(RPREFIX)/library
	$(CP) -pr $(LIBFILES) $(RPREFIX)/library
	$(RM) $(RPREFIX)/demos/dynload/*.o $(RPREFIX)/demos/dynload/*.def
	$(RM) $(RPREFIX)/*/Makefile.in
	$(MKDIR) $(RPREFIX)/etc
	$(CP) -p ../../etc/Rprofile $(RPREFIX)/etc/Rprofile
	$(CP) -p ../../etc/Rconsole $(RPREFIX)/etc/Rconsole
	$(CP) -p ../../etc/Rdevga $(RPREFIX)/etc/Rdevga
	$(CP) -p ../../etc/rgb.txt $(RPREFIX)/etc/rgb.txt
	$(MKDIR) $(RPREFIX)/doc $(RPREFIX)/doc/manual
	$(CP) -pr ../../doc/html $(RPREFIX)/doc
	$(CP) -p ../../doc/manual/Rd.sty $(RPREFIX)/doc/manual
	$(CP) -p ../../COPYING COPYRIGHTS ../../FAQ ../../NEWS \
		../../Y2K $(RPREFIX)
	$(CP) -p readme $(RPREFIX)/README
	$(CP) -p rw-faq $(RPREFIX)/rw-FAQ
#	$(CP) -p Announce $(RPREFIX)/Announce
	$(CP) -p CHANGES $(RPREFIX)/CHANGES
	zip docs.zip $(RPREFIX)/*
	unzip -a -o docs.zip
	$(RM) docs.zip
	$(RM) -rf $(RPREFIX)b.zip $(RPREFIX)h.zip $(RPREFIX)w.zip $(RPREFIX)l.zip
	$(RM) anindex.zip
	zip -mrX anindex.zip $(RPREFIX)/library/*/help/AnIndex $(RPREFIX)/library/*/help/00Titles
	zip -mr9X $(RPREFIX)h.zip $(RPREFIX)/library/*/help 
	unzip anindex.zip
	$(RM) anindex.zip
	zip -rm9X $(RPREFIX)w.zip $(RPREFIX)/doc/html $(RPREFIX)/library/*/html
	-zip -rm9X $(RPREFIX)ch.zip $(RPREFIX)/library/*/chtml  $(RPREFIX)/bin/Rchtml.dll
	$(RM)  $(RPREFIX)/library/*/winhlp/*.GID
	-zip -rm9X $(RPREFIX)wh.zip $(RPREFIX)/library/*/winhlp
	zip -rm9X $(RPREFIX)l.zip $(RPREFIX)/library/*/latex $(RPREFIX)/doc/manual
	$(RM) -r $(RPREFIX)/doc
	zip -rm9X $(RPREFIX)b2.zip $(RPREFIX)/library
	zip -r9X $(RPREFIX)b1.zip $(RPREFIX)
	$(RM) -rf $(RPREFIX)



srcdist:
	$(RM) -r ../src src
	$(MKDIR) ../src
	$(MKDIR)  ../src/gnuwin32
	$(CP)  -pr ./* ../src/gnuwin32
	$(RM) -r ../src/gnuwin32/old ../src/gnuwin32/*.zip
	$(RM) -r ../src/gnuwin32/installer/unzip
	$(RM) -r ../src/gnuwin32/bitmap/jpeg-6b
	$(RM) -r ../src/gnuwin32/bitmap/libpng
	$(RM) -r ../src/gnuwin32/bitmap/zlib 
	$(RM) -f ../src/gnuwin32/unzip/*.dll
	$(MAKE) -k -C ../src/gnuwin32 cleanwin
	mv ../src .
	$(RM) $(RPREFIX)s.zip
	zip -rX  $(RPREFIX)s.zip src
	$(RM) -r src


#taken from ../include/Makefile.in
SRC_HEADERS = Applic.h Arith.h Blas.h Complex.h Error.h Errormsg.h \
	Fortran.h Linpack.h Mathlib.h Memory.h PrtUtil.h Random.h \
	Rdefines.h Rinternals.h S.h S_compat.h Utils.h f2c.h
OBJ_HEADERS = Rconfig.h Rversion.h
GW32_HEADERS = globalvar.h psignal.h

packagedist:
	$(RM) -r $(RPREFIX)sp.zip $(RPREFIX)
	$(MKDIR) $(RPREFIX) $(RPREFIX)/src $(RPREFIX)/src/include 
	$(MKDIR) $(RPREFIX)/src/library $(RPREFIX)/src/gnuwin32 
	$(CP) -p ../../COPYING exported-vars R.exp MkRules MakePkg MakeDll $(RPREFIX)/src/gnuwin32
	$(CP) -p Makefile.packages $(RPREFIX)/src/gnuwin32/Makefile
	$(MKDIR) $(RPREFIX)/src/gnuwin32/fixed
	$(CP) fixed/dobundle.pl $(RPREFIX)/src/gnuwin32/fixed
	$(CP) -pr help check $(RPREFIX)/src/gnuwin32
	$(RM) $(RPREFIX)/src/gnuwin32/help/*.c
	$(MAKE) -C $(RPREFIX)/src/gnuwin32/help clean
	$(CP) -p $(foreach i,$(SRC_HEADERS) $(OBJ_HEADERS) $(GW32_HEADERS),../include/$i) $(RPREFIX)/src/include
	$(CP) readme.packages $(RPREFIX)
	zip -rX $(RPREFIX)sp.zip $(RPREFIX)
	$(RM) -r $(RPREFIX)


distribution: bindist packagedist docsdist

# tests
check: all test
test: stricttests pkgtests

stricttests:
	-@$(MAKE) -C $(RHOME)/tests -f $(RHOME)/src/gnuwin32/check/Maketests clean
	-@$(MAKE) -k -C $(RHOME)/tests -f $(RHOME)/src/gnuwin32/check/Maketests

PKGS-CHK=$(foreach i, $(PACKAGES), pkgcheck-$i)
pkgtests: $(PKGS-CHK)

pkgcheck-base:
	@$(ECHO) -------- Testing package base --------
	@(cd ../../library/base/R-ex; unzip -oq Rex)
	-@mkdir -p ../library/base/check
	-@$(MAKE) -C ../library/base/check \
	  PKG=base RHOME=$(RHOME) RLIB=$(RLIB) \
	  -f ../../../gnuwin32/check/PkgCheck
	@(cd ../../library/base/R-ex; rm -f *.R)

bundle-%:
	$(PERL) fixed/dobundle.pl $* $(PKGD) $(RLIB)

docs manuals:
	@$(MAKE) -C $(RHOME)/doc/manual -f Makefile.win clean
	@$(MAKE) -C $(RHOME)/doc/manual -f Makefile.win R_PKGS="$(PACKAGES)"
	$(RM) $(RHOME)/library/base/latex/*.tex

docsdist:
	$(RM) -rf $(RPREFIX)
	$(MKDIR) $(RPREFIX) $(RPREFIX)/doc $(RPREFIX)/doc/manuals 
	$(CP) -pr $(RHOME)/doc/manual/*.pdf $(RPREFIX)/doc/manuals
	zip -rm9X $(RPREFIX)d.zip $(RPREFIX)


# Dependencies
CSOURCES=$(wildcard *.c)
DEPS=$(foreach i, $(CSOURCES), $(basename $i).d)

.c.d:
	@echo "making $@ from $<"
	@$(CC)  -M $(CFLAGS) $($*-CFLAGS) $< -o $@

makeMakedeps: $(DEPS)
	@$(RM) Makedeps
	@cat $(DEPS) >> Makedeps

-include Makedeps

=== src/gnuwin32/fixed/Makefile ===
include ../MkRules

all: profiles fixh fixr fixbin fixetc

profiles: ../../../library/base/R/Rprofile

../../../library/base/R/Rprofile:  ../../library/profile/Common.R \
../../library/profile/Rprofile.gnw
	@$(ECHO) -------- Building $@ from $^--------
	mkdir -p ../../../library/base/R
	$(CAT)  $^ > $@


SED0='/^\#/d'
SED01='/Rsockfork/d'
SED1='s/F77_SUBROUTINE(\(.*\))/int \1_();/'
SED2='s/C_FUNCTION(\(.*\))/int \1();/'
SED3='s/F77_SUBROUTINE(\(.*\))/	{ "\1_",	\1_},/'
SED4='s/C_FUNCTION(\(.*\))/{ "\1",	\1 },/'

../../include/FFDecl.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED1) -e $(SED2) ../../appl/ROUTINES > ../../include/FFDecl.h
../../include/FFTab.h: ../../appl/ROUTINES
	$(SED) -e $(SED0) -e $(SED01) -e $(SED3) -e $(SED4) ../../appl/ROUTINES > ../../include/FFTab.h


fixh: h/Rconfig.h ../../../date-stamp ../../include/FFDecl.h ../../include/FFTab.h
	$(CP) -p ./h/Rconfig.h ./h/psignal.h ../../include
	sh ./GETVERSION > ../../include/Rversion.h
	$(ECHO) done > fixh

fixbin: $(filter-out ./bin/CVS, $(wildcard ./bin/*))
	$(CP) -p  $^ ../../../bin
	$(ECHO) done > fixbin

fixr: $(wildcard ./r/*.html)
	$(CP) -p ./r/*.html ../../../doc/html
	$(ECHO) done > fixr

fixetc: $(filter-out ./etc/CVS, $(wildcard ./etc/*))
	$(CP) -p $^ ../../../etc
	$(ECHO) done > fixetc

clean:
	$(RM) *~ */*~ fixr fixh fixbin fixetc

=== src/gnuwin32/help/Makefile ===
# default target builds indices
DOS= # -dosnames   # for file-name mapping
PERL=perl
CAT=cat
CP=cp
RM=rm

RHOME=$(shell cd ../../..; pwd)# must be absolute path
PKGDIR=../../library
RLIB=$(RHOME)/library

indices:
	$(PERL) build.help ${DOS} -htmllists

pkg-% help-%: 
	$(PERL) build.help ${DOS} -nroff -html -example -latex $(PKGDIR)/$* $(RLIB)

chm-%: 
	$(PERL) build.help ${DOS} -chm $(PKGDIR)/$* $(RLIB)
# hhc always gives an error code
	$(MAKE) -C $(PKGDIR)/$*/chm -f $(RHOME)/src/gnuwin32/help/Makefile $*.chm
	mkdir -p $(RLIB)/$*/chtml
	$(CP) $(PKGDIR)/$*/chm/$*.chm $(RLIB)/$*/chtml

winhlp-%: chm-%
	$(MAKE) -C $(PKGDIR)/$*/chm -f $(RHOME)/src/gnuwin32/help/Makefile $*.hlp
	mkdir -p $(RLIB)/$*/winhlp
	$(CP) $(PKGDIR)/$*/chm/$*.cnt $(PKGDIR)/$*/chm/$*.hlp $(RLIB)/$*/winhlp

# need not have HTML installed when building packages
contents-%:
	$(PERL) Rd2contents $(PKGDIR)/$* $(RLIB)/$*/CONTENTS
	@mkdir -p $(RHOME)/doc/html/search
	$(CAT) $(RHOME)/library/*/CONTENTS > $(RHOME)/doc/html/search/index.txt

ziphelp-%:
	$(MAKE) -C $(RLIB)/$* -f $(RHOME)/src/gnuwin32/help/Makefile ZIPFLAGS=jqX  PKG=$* zipit

ziponlyhelp-%:
	$(MAKE) -C $(RLIB)/$* -f $(RHOME)/src/gnuwin32/help/Makefile ZIPFLAGS=jqmX PKG=$* zipit


winhelp-%:
	$(MAKE) -C $(PKGDIR)/$* -f $(RHOME)/src/gnuwin32/help/Makefile PKG=$* win

latex-%:
	$(MAKE) -C $(RLIB)/$* -f $(RHOME)/src/gnuwin32/help/Makefile PKG=$* unzipit
	$(PERL) build.help ${DOS} -latex $(PKGDIR)/$*

clean:
	$(RM) -fr *~ *.o *.obj *.dll *.def *.a

# to be run from src/library/pkg/chm

HTM = $(filter-out 00Index.html, $(wildcard *.html))
%.chm: $(HTM) logo.jpg
	-hhc $*.hhp

%.hlp: %.rtf logo.bmp
	 hcrtf /x $*.hpj

%.rtf: $(HTM)
	perl $(RHOME)/src/gnuwin32/help/html-to-rtf.pl $*.hhp

logo.jpg: $(RHOME)/doc/html/logo.jpg
	$(CP) $^ $@

logo.bmp: $(RHOME)/src/gnuwin32/help/logo.bmp
	$(CP) $^ $@

# following are designed to be run from the library/pkg directory:

zipit: help/Rhelp.zip
unzipit:
	-$(MAKE) -C latex -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp

help/Rhelp.zip: $(wildcard ../../src/library/$(PKG)/man/*.Rd \
../../src/library/$(PKG)/man/windows/*.Rd)
	-$(MAKE) -C help  -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp
	-$(MAKE) -C R-ex  -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rex
	-$(MAKE) -C latex -f $(RHOME)/src/gnuwin32/help/Makefile uz-Rhelp
	-$(MAKE) -C $(RHOME)/src/gnuwin32/help help-$(PKG)
	zip -${ZIPFLAGS} help/Rhelp help/* -x help/00Titles help/AnIndex
	zip -${ZIPFLAGS} R-ex/Rex R-ex/*.R
	zip -${ZIPFLAGS} latex/Rhelp latex/*.tex

uz-%:
	unzip -qou $*

=== src/gnuwin32/regex/Makefile ===
include ../MkRules

CFLAGS=-DHAVE_STRING_H

../rx.a: regex.o

clean:
	$(RM) *.o *~

=== debian/changelog ===
r-base (0.90.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 14 Dec 1999 10:51:10 -0600

r-base (0.90.0-2) unstable; urgency=low

  * added Conflicts: r-cran in control (Closes: #51673)
  * Reinstated -Xfoo flags in call to dh_md5sums for Bug#35744
  * Set up --mandir so package builds with -rfakeroot (Closes: #51901)
  * Undid Dirk's marking of Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
    (the manual pages are symbolic links to the Rdconv.1 page)
  
 -- Douglas Bates <bates@stat.wisc.edu>  Sun,  5 Dec 1999 15:03:52 -0600

r-base (0.90.0-1) unstable; urgency=low

  * Non-maintainer upload dealing with the usr/doc to usr/share/doc
    transition, as well as a  few other lintian errors and warnings 
  * debian/postinst: added #DEBHELPER# stub
  * debian/rules: configure with mandir=/usr/share/man
  * debian/rules: remove extra licenses 
  * debian/rules: also install docs BUGS PLATFORMS VERSION Y2K
  * debian/rules: mark Rd2txt.1 Rdindex.1 Sd2Rd.1 as undocumented
  * debian/dirs: change usr/doc to usr/share/doc
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 25 Nov 1999 20:46:56 -0500

r-base (0.90.0-0) unstable; urgency=low

  * new upstream release
  * Added a "suggests" entry in control for the ess package

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 25 Nov 1999 13:08:19 -0600

r-base (0.65.1-2) unstable; urgency=low

  * Changed from use of zip/unzip to minizip/miniunzip (Bug#48742)

 -- Douglas Bates <bates@stat.wisc.edu>  Sat, 30 Oct 1999 15:04:42 -0500

r-base (0.65.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 8 Oct 1999 10:04:55 -0500

r-base (0.65.0-1) unstable; urgency=low

  * New upstream release
  * Added dependency on unzip package

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 27 Aug 1999 09:30:14 -0500

r-base (0.64.2-1) unstable; urgency=low

  * New upstream release
  * Changed dependency from perl to perl5 as per new policy.	
	
 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  1 Jul 1999 09:05:03 -0500

r-base (0.64.1-1) unstable; urgency=low

  * New upstream release
  * Change definition of RHOME in /usr/lib/R/bin/R shell script (Bug#37339)
  * Add links so /usr/lib/R/doc/manual .tex files can be LaTeX'd (Hubert Palme)
  * Re-introduced md5sum's but with files that can change removed (Bug#35744)
  * Removed arbitrary --vsize and --nsize flags in R script.

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 12 May 1999 11:48:22 -0500
    

r-base (0.64.0-2) unstable; urgency=low

  * removed md5sums from control information (Bug#35744)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  8 Apr 1999 08:48:32 -0500

r-base (0.64.0-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  1 Apr 1999 11:03:17 -0600

r-base (0.63.3-2) unstable; urgency=low

  * Recompile for glibc2.1 to fix __setfpucw bug (Bug#34598)

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 17 Mar 1999 13:42:41 -0600

r-base (0.63.3-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Thu,  4 Mar 1999 09:20:41 -0600

r-base (0.63.2-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 15 Jan 1999 09:25:20 -0600

r-base (0.63.1-1) unstable; urgency=low

  * New upstream release
  * Linked html directory to /usr/doc/r-base/doc/html (Dirk Eddelbuettel)

 -- Douglas Bates <bates@stat.wisc.edu>  Fri,  4 Dec 1998 14:22:19 -0600

r-base (0.63.0-2) unstable; urgency=low

  * recompiled against libc6-dev_2.0.7u-6 for __register_frame_info fix

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 29 Nov 1998 15:39:48 -0600

r-base (0.63.0-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 18 Nov 1998 13:33:58 -0600

r-base (0.62.4-1) frozen unstable; urgency=low, closes=26444

  * New upstream release
  * Fixed link to html directory in /usr/doc (Bug#26444)
  * Check for /usr/bin/paperconf in postinst and set default R_PAPERSIZE (Bug#26447)
  * Remove src/lib directory in debian/rules clean (Bug#28545)

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  2 Nov 1998 09:29:20 -0600

r-base (0.62.3-0) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 19 Aug 1998 10:38:08 -0500

r-base (0.62.2-2) unstable; urgency=low

  * Cleaned up the build process by removing redundancies in config.site
    and debian/rules.
  * Changed C compiler to gcc instead of egcs.

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 14 Aug 1998 13:52:34 -0500

r-base (0.62.2-1) unstable; urgency=low

  * Re-configured to include the readline library

 -- Douglas Bates <bates@stat.wisc.edu>  Fri, 14 Aug 1998 11:38:35 -0500

r-base (0.62.2-0) unstable; urgency=low

  * New upstream version

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 14 Jul 1998 13:36:15 -0500

r-base (0.62.1-2) unstable; urgency=low

  * Corrected definition of RHOME in /usr/bin/R (bug#23621)
  
  * Changed default heap size to 8 Mb. and number of cons cells to 400000

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 17 Jun 1998 11:48:28 -0500

r-base (0.62.1-1) unstable; urgency=low

  * new upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 16 Jun 1998 10:03:49 -0500

r-base (0.61.3-0) unstable; urgency=low

  * new upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  4 May 1998 12:05:53 -0500

r-base (0.61.2-2) frozen unstable; urgency=low

  * recompiled against xlib6g (bug #21027)

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 13 Apr 1998 14:05:33 -0500

r-base (0.61.2-1) frozen unstable; urgency=low

  * Added symbolic link for /usr/lib/R/library in /usr/doc/r-base/ (bug#20190)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 26 Mar 1998 14:01:57 -0600

r-base (0.61.2-0) unstable; urgency=low

  * New upstream release.

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  9 Mar 1998 15:22:31 -0600

r-base (0.61.1-5) unstable; urgency=low



=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 2.4.0.0

Package: r-base
Architecture: any
Depends: perl5, zlib-bin, ${shlibs:Depends}
Conflicts: r-cran
Suggests: g77, libpaperg, ess
Description: `GNU S' - A language and environment for statistical computing.
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
 .
 Versions 0.90.0 and higher have R functions CRAN.packages, install.packages,
 and update.packages that can be used to select and update R packages from the
 Comprehensive R Archive Network.  The Debian packages r-cran, r-cran-non-free,
 and r-mlbench are no longer needed and have been withdrawn.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux r-base package
# Copyright 1997, 1998 by Douglas M. Bates <bates@stat.wisc.edu>

package=r-base

debbase		:= $(shell pwd)/debian
debtmp		:= $(debbase)/tmp
debdoc		:= $(debtmp)/usr/share/doc/$(package)

# edd 10 Feb 98	See section 4.1 of Policy Manual
arch 		= $(shell dpkg --print-architecture)-linux

build:
	dh_testdir
	R_UNZIPCMD=/usr/bin/miniunzip R_ZIPCMD=/usr/bin/minizip\
	CFLAGS="-Wall -O2" FFLAGS="-Wall -O2"\
	SHLIBLDFLAGS="-shared -lc" ./configure --prefix=/usr 		 \
					--with-g77			 \
					--mandir=$(debtmp)/usr/share/man \
					--host $(arch)
	make 
	make help
	make html

	touch build

clean:
	dh_testdir
	-rm -f build
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f doc/html/function.html doc/html/packages.html

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make install prefix=`pwd`/debian/tmp/usr
	sed -e '/{R_HOME=.*/s::{R_HOME=/usr/lib/R}:' \
	  < bin/R > debian/tmp/usr/bin/R
	sed -e '/{R_HOME=.*/s::{R_HOME=/usr/lib/R}:' \
	  < bin/R > debian/tmp/usr/lib/R/bin/R
	# remove unneeded license files
	rm -v $(debtmp)/usr/lib/R/library/base/help/license     	\
	      $(debtmp)/usr/lib/R/library/base/latex/license.tex	\
	      $(debtmp)/usr/lib/R/COPYING  
	dh_installdocs BUGS PLATFORMS Y2K 
	(cd $(debdoc)/doc && ln -s ../../../../lib/R/doc/html .)
	(cd $(debdoc) && ln -s ../../../lib/R/library .)
	dh_installmenu
	dh_installmanpages re_format.7 regex.3 getline.3
#	dh_undocumented	Rd2txt.1 Rdindex.1 Sd2Rd.1
	dh_installchangelogs NEWS 
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums -X'usr/bin/R'  -XLibIndex -Xindex.txt -Xfunction.html -Xpackages.html
#	dh_md5sums 
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
